package com.pj.project.tb_gate_terminal;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_gate_terminal -- 车辆道闸
 *
 * @author qzyReal
 */

@Mapper
@Repository
public interface TbGateTerminalMapper extends BaseMapper<TbGateTerminal> {

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<TbGateTerminal> getList(SoMap so);


}
