package com.pj.project.tb_terminal.task;


import com.alibaba.fastjson.JSONObject;
import com.pj.current.netty.command.constants.CommandType;
import com.pj.current.task.Task;
import io.netty.channel.ChannelHandlerContext;

import java.io.Serializable;

public class FinishCommandTask extends Task {
    private ChannelHandlerContext cx;

    public FinishCommandTask(String id, long delayInMilliseconds,ChannelHandlerContext cx) {
        super(id, delayInMilliseconds);
        this.cx=cx;
    }

    @Override
    public void run() {
        JSONObject finishCommand=new JSONObject();
        finishCommand.put("funcId", CommandType.ISSUED_FINISH_COMMAND.getFuncId());
        cx.write(finishCommand.toJSONString());
        cx.flush();
    }
}
